<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>
		App Metronomo
	</title>
	<link rel="stylesheet" href="bootstrap.min.css">
	<link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">
</head>
<body>

	<div class="container">
		<div class="row">
			<div class="col-xs-12 col-lg-4 col-lg-offset-4">
				<div class="page-header" id="app">
					<div class="form-group">
						<div class="input-group text-center">
							<span class="input-group-btn">
								<button class="btn btn-danger" type="button" @click="reduce">
									<i class="fa fa-minus-square"></i>
								</button>
							</span>							
							<input type="text" id="BPM" class="text-center form-control" placeholder="BPM" v-model="bpm_current">
													
							<span class="input-group-btn">
								<button class="btn btn-success" type="button" @click="add">
									<i class="fa fa-plus-square"></i>
								</button>
							</span>
						</div>
					</div>

					<pre>{{ $data }}</pre>

					<div class="text-center">
						<button class="btn btn-sm btn-primary" type="button" @click="play">
							<i class="fa fa-play"></i>
						</button>
						
						<button class="btn btn-sm btn-warning" type="button" @click="stop">
							<i class="fa fa-stop"></i>
						</button>
						
						<br>
						<br>
						<label for="metrica">Metrica</label>
						<select class="form-control" id="metrica">
							<option value="2">2/4</option>
							<option value="3">3/4</option>
							<option value="4">4/4</option>
							<!-- <option value="">5/4</option>
							<option>6/8</option> -->
						</select>											
					</div>
				</div>
			</div>	
		</div>
	</div>
</div>

<script src="jquery-2.2.4.js"></script>
<script src="bootstrap.min.js"></script>
<script src="vue.js"></script>

<script>
	$().ready(function() {
		var audio = new Audio('c_regular.mp3');
		var audio1 = new Audio('c_acentuado.mp3');
		new Vue({
			el: '#app',
			data: {
				bpm_current: 135,
			},
			methods: {
				add: function() {
					this.play();
					this.bpm_current += 3;
				},
				reduce: function() {
					this.play();
					this.bpm_current -= 2;
				},
				increase: function(){
					var incremento = $("#incremento").val();
					this.bpm_current += incremento;
				},

				play: function(){
					var metric = $("#metrica").val();
					clearInterval(this.reply);


					this.reply = setInterval(function() {
						for(i=0; i< metric; i++){
							if (i==0){
								audio1.play();	
							} else {
								audio.play();
							}
						}			
					}, (60/this.bpm_current) * 1000);
				},

				stop: function() {
					clearInterval(this.reply);
				},									

			}
		})
	})
</script>
</body>
</html>